.contact_container {
    display: grid;
    justify-items: center;
    margin: 15% 5%;
}

.contact-form {
    background-color: #000000;
    /* Light grey background */
    box-shadow: 0 0 10px rgba(29, 29, 29, 0.5);
    border-radius: 50%;
    /* Circular shape */
    width: 80vw;
    /* Adjust width based on viewport */
    max-width: 500px;
    /* Maximum width */
    height: 80vw;
    /* Adjust height based on viewport */
    max-height: 500px;
    /* Maximum height */
    color: #ffffff;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
}

.contact-form h2 {
    margin-top: 0;
    font-size: 18px;
}

.contact-form form {
    width: 90%;
    /* Ensure form fits within the circle */
    display: flex;
    flex-direction: column;
    align-items: center;
}

.contact-form input,
.contact-form textarea {
    width: 100%;
    padding: 10px;
    margin: 5px 0;
    box-sizing: border-box;
    border: none;
    border-radius: 5px;
    background-color: #fff;
    color: #000;
    font-size: 14px;
}

.contact-form input:hover {
    box-shadow: 2px 2px 4px #333;
}

.contact-form textarea:hover {
    box-shadow: 2px 2px 4px #333;
}

.contact-form textarea {
    height: 60px;
    resize: none;
}

.contact-form button[type="submit"] {
    background-color: #fff;
    color: black;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    width: 70%;
    /* Further reduce width */
    font-size: 16px;
    margin-top: 10px;
}

.contact-form button[type="submit"]:hover {
    background-color: #333;
    color: #fff;
    box-shadow: 2px 2px 4px #333;
}

.close-button {
    background-color: #333;
    color: white;
    border: none;
    cursor: pointer;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    /* Circular shape */
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 16px;
    text-align: center;
}

.close-button:hover {
    background-color: #cecece;
    color: #000;
}

@media (max-width: 600px) {
    .contact-form {
        width: 90vw;
        height: 90vw;
    }
}

@media (max-width: 400px) {
    .contact-button {
        width: 50px;
        height: 50px;
        font-size: 14px;
    }

    .close-button {
        width: 25px;
        height: 25px;
        font-size: 12px;
    }

    .contact-form {
        width: 80vw;
        height: 80vw;
    }

    .contact-form input,
    .contact-form textarea,
    .contact-form button[type="submit"] {
        font-size: 12px;
    }

    .contact_container {
        margin: 10% 5%;
    }
}